MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028734Open CASCADE[OCCT] OCCT:Visualizationpublic2017-05-12 10:462017-09-29 16:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028734: Visualization, OpenGl_Texture - fix initialization of 1D texture
DescriptionGL_PROXY_TEXTURE_1D should be used instead of GL_PROXY_TEXTURE_2D in the following context:
@@ -500,7 +512,7 @@ bool OpenGl_Texture::Init (const Handle(OpenGl_Context)& theCtx,
       glTexImage1D (GL_PROXY_TEXTURE_1D, 0, anIntFormat,
                     theSizeX, 0,
                     thePixelFormat, theDataType, NULL);
       glGetTexLevelParameteriv (GL_PROXY_TEXTURE_2D, 0, GL_TEXTURE_WIDTH, &aTestWidth);
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023544closedkgv Texture management in TKOpenGl should be redesigned 

-  Notes
(0065868)
git (administrator)
2017-05-12 11:10

Branch CR28734 has been created by kgv.

SHA-1: 142fc79a19a406b3d048dc6d85abbf91bc19c225


Detailed log of new commits:

Author: isk
Date: Thu Apr 14 12:04:54 2016 +0300

    0028734: Visualization, OpenGl_Texture - fix initialization of 1D texture
    
    OpenGl_Texture::Init() - fixed proxy check for 1D textures.
    Declarations.glsl - defined occTexture1D/3D aliases similar to occTexture2D.
(0065869)
kgv (developer)
2017-05-12 11:11

Please test the patch.
(0066057)
mkv (tester)
2017-05-12 21:17

Dear BugMaster,
Branch CR28734 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 142fc79a19a406b3d048dc6d85abbf91bc19c225

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1173

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92116425 / 91600714 [+0.56%]
Total CPU difference: 19008.360000000303 / 18729.20000000028 [+1.49%]
products component :
Total MEMORY difference: 31331047 / 31317049 [+0.04%]
Total CPU difference: 5475.87999999998 / 5416.239999999973 [+1.10%]
Testing on Windows:
occt component :
Total MEMORY difference: 58431337 / 58426407 [+0.01%]
Total CPU difference: 17599.096813998738 / 17338.309942298663 [+1.50%]
products component :
Total MEMORY difference: 22693837 / 22655560 [+0.17%]
Total CPU difference: 5345.405465199979 / 5279.479442599965 [+1.25%]

There are no differences in images found by testdiff.
(0066058)
mkv (tester)
2017-05-12 21:18

Dear BugMaster,
Branch CR28734 is TESTED.
(0066771)
git (administrator)
2017-05-29 16:06

Branch CR28734 has been deleted by kgv.

SHA-1: 142fc79a19a406b3d048dc6d85abbf91bc19c225

- Related Changesets
occt: master ff6665dc
Timestamp: 2016-04-14 09:04:54
Author: isk
Committer: bugmaster
Details ] Diff ]
0028734: Visualization, OpenGl_Texture - fix initialization of 1D texture

OpenGl_Texture::Init() - fixed proxy check for 1D textures.
Declarations.glsl - defined occTexture1D/3D aliases similar to occTexture2D.
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]
mod - src/Shaders/Declarations.glsl Diff ] File ]
mod - src/Shaders/Shaders_Declarations_glsl.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-12 10:46 kgv New Issue
2017-05-12 10:46 kgv Assigned To => kgv
2017-05-12 11:10 git Note Added: 0065868
2017-05-12 11:11 kgv Note Added: 0065869
2017-05-12 11:11 kgv Assigned To kgv => bugmaster
2017-05-12 11:11 kgv Status new => resolved
2017-05-12 11:11 kgv Status resolved => reviewed
2017-05-12 11:12 kgv Product Version 7.1.0 => 6.6.0
2017-05-12 11:14 kgv Relationship added child of 0023544
2017-05-12 12:33 mkv Assigned To bugmaster => mkv
2017-05-12 21:17 mkv Note Added: 0066057
2017-05-12 21:18 mkv Note Added: 0066058
2017-05-12 21:18 mkv Assigned To mkv => bugmaster
2017-05-12 21:18 mkv Status reviewed => tested
2017-05-12 21:18 mkv Test case number => Not needed
2017-05-19 13:25 bugmaster Changeset attached => occt master ff6665dc
2017-05-19 13:25 bugmaster Status tested => verified
2017-05-19 13:25 bugmaster Resolution open => fixed
2017-05-29 16:06 git Note Added: 0066771
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker